%define name    redland
%define version 1.0.8
%define release %mkrel 2

%define major	0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary:   	Redland RDF Application Framework
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	LGPL
Group:     	Development/Other
Source:    	http://librdf.org/dist/source/%{name}-%{version}.tar.gz
URL:       	http://www.redland.opensource.ac.uk/
BuildRequires: 	libxml2-devel db-devel
BuildRequires:	w3c-libwww-devel swig MySQL-devel
BuildRequires:	rasqal-devel >= 0.9.16
BuildRequires:	raptor-devel
Requires:  	rasqal raptor
BuildRoot: 	%_tmppath/%{name}-root

%description
Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.

%package -n %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n %{develname}
Summary: Header files and static libraries from %name
Group: Development/Other
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release} 
Obsoletes: %name-devel
Obsoletes: %{mklibname -d %name 0}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x --with-mysql --with-raptor=system --with-rasqal=system
%make

%install
rm -rf $RPM_BUILD_ROOT
# fix install command
perl -p -i -e 's/install\ -c/install\ -D/g' `find -name Makefile`
%makeinstall_std
cp -f librdf/*.h $RPM_BUILD_ROOT/%_includedir/

# don't include files from raptor or rasqal
cd $RPM_BUILD_ROOT
rm -f `find -name '*rapper*'` `find -name '*raptor*'` `find -name 'ntriples.h'`
rm -f `find -name '*rasqal*'` `find -name 'roqet'`

# shouldn't be needing this?
rm `find -name '*win32*'`

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/redland-config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog
%doc README NEWS LICENSE.txt
%doc *.html
%_bindir/redland-db-upgrade
%_bindir/rdfproc
%_datadir/%name
%_mandir/man1/*
%_mandir/man3/*

%files -n %libname
%defattr(-,root,root)
%_libdir/librdf.so.%{major}*

%files -n %develname
%defattr(-, root, root)
%multiarch %{multiarch_bindir}/redland-config
%_bindir/redland-config
%_libdir/librdf.a
%_libdir/librdf.la
%_libdir/librdf.so
%_includedir/redland.h
%_includedir/librdf.h 
%_includedir/rdf_*.h
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/*/*

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif


%changelog
* Thu Jul 10 2008 Funda Wang <fundawang@mandriva.org> 1.0.8-2mdv2009.0
+ Revision: 233254
- New devel package policy
- Bump BR version

  + Austin Acton <austin@mandriva.org>
    - new version

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-2mdv2009.0
+ Revision: 225315
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 1.0.7-1mdv2008.1
+ Revision: 138743
- new version
- fix buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 1.0.6-1mdv2008.0
+ Revision: 26055
- new version


* Wed Jan 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-2mdv2007.0
+ Revision: 103794
- Import redland

* Wed Jan 03 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-2mdv2007.1
- rebuild for new ncurses
- fix file list

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 1.0.4-1mdk
- 1.0.4

* Wed Feb 22 2006 Austin Acton <austin@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Wed Nov 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-3mdk
- rebuild against openssl-0.9.8

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdk
- rebuilt against MySQL-5.0.15

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Sat Apr 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-2mdk
- rebuild for new sqlite
- add multiarch support

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 1.0.0-1mdk
- 1.0.0
- fix requires

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.19-3mdk
- rebuilt against MySQL-4.1.x system libs

* Sat Jan 22 2005 Stefan van der Eijk <stefan@mandrake.org> 0.9.19-2mdk
- rebuild

* Mon Nov 08 2004 Austin Acton <austin@mandrake.org> 0.9.19-1mdk
- 0.9.19
- move bindings to separate SRPM

* Sat Jul 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.9.16-3mdk
- Rebuild for new curl

* Fri Jun 11 2004 Austin Acton <austin@mandrake.org> 0.9.16-2mdk
- bring back libtoolize
- configure 2.5
- add missing headers
- remove dependencies on libname

* Thu May 20 2004 Austin Acton <austin@mandrake.org> 0.9.16-1mdk
- 0.9.16

* Mon Feb 02 2004 Austin Acton <austin@mandrake.org> 0.9.15-1mdk
- 0.9.15
- libtoolize
- enable mysql
- buildrequires php-devel

